Fetch an SNMP object

- « snmp_set_valueretrieval

- snmp2_getnext »

- PHP Manual
- SNMP Functions
- Fetch an SNMP object

# snmp2_get

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

snmp2_get — Fetch an SNMP object

### Description

snmp2_get(
string `$hostname`,
string `$community`,
array|string `$object_id`,
int `$timeout` = -1,
int `$retries` = -1
): mixed

The snmp2_get() function is used to read the value of an SNMP object specified by the `object_id`.

### Parameters

`hostname`

  The SNMP agent.

`community`

  The read community.

`object_id`

  The SNMP object.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns SNMP object value on success or `false` on error.

### Examples

Example #1 Using snmp2_get()

    <?php$syscontact = snmp2_get("127.0.0.1", "public", "system.SysContact.0");?>

### See Also

- snmp2_set() - Set the value of an SNMP object